summaryrefslogtreecommitdiff
path: root/packaging/RHEL-CTDB/setup/winbind.init
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2008-05-10 01:23:10 +0200
committerMichael Adam <obnox@samba.org>2008-05-10 02:19:33 +0200
commit0d8b45c8c5c4a26eb6bb3a61805e8135e5e3194e (patch)
treedb08ad8aa8380058660b6c71e63ea25f01054948 /packaging/RHEL-CTDB/setup/winbind.init
parent59b61608015431ffc5ef2095e87d7de0fb094b65 (diff)
downloadsamba-0d8b45c8c5c4a26eb6bb3a61805e8135e5e3194e.tar.gz
samba-0d8b45c8c5c4a26eb6bb3a61805e8135e5e3194e.tar.bz2
samba-0d8b45c8c5c4a26eb6bb3a61805e8135e5e3194e.zip
packaging: rename RHEL4-CTDB --> RHEL-CTDB
Michael (This used to be commit 711af98d2ce708421a413fe46a386ea9e19d2517)
Diffstat (limited to 'packaging/RHEL-CTDB/setup/winbind.init')
-rw-r--r--packaging/RHEL-CTDB/setup/winbind.init100
1 files changed, 100 insertions, 0 deletions
diff --git a/packaging/RHEL-CTDB/setup/winbind.init b/packaging/RHEL-CTDB/setup/winbind.init
new file mode 100644
index 0000000000..a99038f9c7
--- /dev/null
+++ b/packaging/RHEL-CTDB/setup/winbind.init
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+# chkconfig: - 91 35
+# description: Starts and stops the Samba winbind daemon
+# #
+# pidfile: /var/cache/samba/winbind.pid
+# config: /etc/samba/smb.conf
+
+
+# Source function library.
+if [ -f /etc/init.d/functions ] ; then
+ . /etc/init.d/functions
+elif [ -f /etc/rc.d/init.d/functions ] ; then
+ . /etc/rc.d/init.d/functions
+else
+ exit 0
+fi
+
+# Avoid using root's TMPDIR
+unset TMPDIR
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+if [ -f /etc/sysconfig/samba ]; then
+ . /etc/sysconfig/samba
+fi
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+# Check that smb.conf exists.
+[ -f /etc/samba/smb.conf ] || exit 0
+
+RETVAL=0
+
+
+start() {
+ KIND="Winbind"
+ echo -n $"Starting $KIND services: "
+ daemon winbindd "$WINBINDOPTIONS"
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/winbindd || RETVAL=1
+ return $RETVAL
+}
+
+stop() {
+ echo
+ KIND="Winbind"
+ echo -n $"Shutting down $KIND services: "
+ killproc winbindd
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && rm -f /var/run/winbindd.pid && rm -f /var/lock/subsys/winbindd
+ echo ""
+ return $RETVAL
+}
+
+restart() {
+ stop
+ start
+}
+
+reload() {
+ echo -n $"Reloading smb.conf file: "
+ killproc winbindd -HUP
+ RETVAL=$?
+ echo
+ return $RETVAL
+}
+
+rhstatus() {
+ status winbindd
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ restart
+ ;;
+ reload)
+ reload
+ ;;
+ status)
+ rhstatus
+ ;;
+ condrestart)
+ [ -f /var/lock/subsys/winbindd ] && restart || :
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart|reload|status|condrestart}"
+ exit 1
+esac
+
+exit $?